# Модуль decort_trunk
## Обзор модуля

Модуль **decort_trunk** предназначен для получения информации о транковом порте (см. [возвращаемые значения](#возвращаемые-значения) и [примеры](#получение-информации-о-транковом-порте)).


## Параметры модуля 
Ниже приведен список параметров для модуля **decort_trunk** (за исключением [общих параметров авторизации](./введение.md#общие-параметры-модулей-для-авторизации)):

<table>
  <tr>
    <th colspan="1">Параметр</th>
    <th>Тип</th>
    <th>Описание</th>
  </tr>
  <tr>
    <td colspan="1">
      <a name="id">
        id
      </a>
    </td>
    <td>
      (int)
    </td>
    <td>
      Идентификатор транкового порта.
    </td>
  </tr>
</table>

## Возвращаемые значения

Модуль **decort_trunk** возвращает информацию о транковом порте в виде словаря `facts` со следующими ключами:

<table>
  <tr>
    <th colspan="1">
      Ключ
    </th>
    <th>
      Тип
      <br>данных
    </th>
    <th>
      Описание
    </th>
  </tr>
  <tr>
    <td colspan="1">
      account_ids
    </td>
    <td>
      list | null
    </td>
    <td>
      Список идентификаторов аккаунтов.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      created_by
    </td>
    <td>
      str
    </td>
    <td>
      Пользователь, создавший объект.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      created_timestamp
    </td>
    <td>
      int
    </td>
    <td>
      Unix-время создания.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      deleted_by
    </td>
    <td>
      str | null
    </td>
    <td>
      Пользователь, удаливший объект.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      deleted_timestamp
    </td>
    <td>
      int | null
    </td>
    <td>
      Unix-время удаления.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      description
    </td>
    <td>
      str
    </td>
    <td>
      Описание.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      guid
    </td>
    <td>
      int
    </td>
    <td>
      Идентификатор.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      id
    </td>
    <td>
      int
    </td>
    <td>
      Идентификатор.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      mac
    </td>
    <td>
      str
    </td>
    <td>
      MAC-адрес.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      name
    </td>
    <td>
      str
    </td>
    <td>
      Название.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      native_vlan_id
    </td>
    <td>
      int | null
    </td>
    <td>
      Идентификатор VLAN для нетегированного трафика.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      ovs_bridge
    </td>
    <td>
      str
    </td>
    <td>
      Сетевой мост Open vSwitch.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      status
    </td>
    <td>
      str
    </td>
    <td>
      Статус.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      updated_by
    </td>
    <td>
      str | null
    </td>
    <td>
      Пользователь, обновивший объект.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      updated_timestamp
    </td>
    <td>
      int | null
    </td>
    <td>
      Unix-время обновления.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      vlan_ids
    </td>
    <td>
      list
    </td>
    <td>
      Список идентификаторов VLAN.
    </td>
  </tr>
</table>

## Примеры использования

### Получение информации о транковом порте
```
- name: Example
  hosts: localhost
  tasks:
    - name: Get trunk info
      decort_trunk:
        # Параметры для авторизации упущены
        id: 1
```
