# Модуль decort_zone
## Обзор модуля

Модуль **decort_zone** предназначен для получения информации о зоне (см. [возвращаемые значения](#возвращаемые-значения) и [примеры](#получение-информации-о-зоне)).


## Параметры модуля 
Ниже приведен список параметров для модуля **decort_zone** (за исключением [общих параметров авторизации](./введение.md#общие-параметры-модулей-для-авторизации)):

<table>
  <tr>
    <th colspan="1">Параметр</th>
    <th>Тип</th>
    <th>Описание</th>
  </tr>
  <tr>
    <td colspan="1">
      <a name="id">
        id
      </a>
    </td>
    <td>
      (int)
    </td>
    <td>
      Идентификатор зоны.
    </td>
  </tr>
</table>

## Возвращаемые значения

Модуль **decort_zone** возвращает информацию о зоне в виде словаря `facts` со следующими ключами:

<table>
  <tr>
    <th colspan="1">
      Ключ
    </th>
    <th>
      Тип
      <br>данных
    </th>
    <th>
      Описание
    </th>
  </tr>
  <tr>
    <td colspan="1">
      created_timestamp
    </td>
    <td>
      int
    </td>
    <td>
      Unix-время создания.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      deletable
    </td>
    <td>
      bool
    </td>
    <td>
      Возможность удаления.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      description
    </td>
    <td>
      str
    </td>
    <td>
      Описание.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      grid_id
    </td>
    <td>
      int
    </td>
    <td>
      Идентификатор ЦОДа.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      guid
    </td>
    <td>
      int
    </td>
    <td>
      Идентификатор.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      id
    </td>
    <td>
      int
    </td>
    <td>
      Идентификатор.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      name
    </td>
    <td>
      str
    </td>
    <td>
      Название.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      node_ids
    </td>
    <td>
      list
    </td>
    <td>
      Идентификаторы физических узлов.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      status
    </td>
    <td>
      str
    </td>
    <td>
      Статус.
    </td>
  </tr>
  <tr>
    <td colspan="1">
      updated_timestamp
    </td>
    <td>
      int
    </td>
    <td>
      Unix-время обновления.
    </td>
  </tr>
</table>

## Примеры использования

### Получение информации о зоне
```
- name: Example
  hosts: localhost
  tasks:
    - name: Get zone info
      decort_zone:
        # Параметры для авторизации упущены
        id: 1
```
